Bug 136483 - contention between rspec plugins and rspec gem
contention between rspec plugins and rspec gem
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Rails
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Erno Mononen
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 16:36 UTC by lennymarks
Modified: 2008-08-12 04:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lennymarks 2008-06-04 16:36:58 UTC
Below pasted from posting in users@ruby.netbeans.org:

I'm having trouble running my Rails specs from within NetBeans now that I've updated to rspec-1.1.4. I believe I'm using the standard(typical) setup where I 
installed the rspec and rspec-rails plugins inside my vendor/plugins directory. From the command line if I use script/spec, everything works fine, but from 
within NetBeans it looks like it always uses the Rspec gem and then runs into versioning problems(see below). Even if I update the Rspec gem(which we use 
for non rails code) to 1.1.4, I was still seeing the mismatch, but I think it would be a valid case for a particular Rails app to use a different version. Is there 
anyway to get NetBeans to run Rails specs using script/spec?
Comment 1 Erno Mononen 2008-06-07 19:55:21 UTC
Thanks for filing this, will address for 6.5. Meanwhile as a workaround one can remove the gem in which case the IDE 
will use the spec binary from the plugins dir, or use an alternative GEM_HOME as Lenny did.
Comment 2 lennymarks 2008-07-28 16:42:17 UTC
The workaround of removing the gem is not really practical because I have some non rails ruby projects that do need the GEM and others that don't. Using 
alternate GEM_HOMEs has also been impractical because the GEM_HOME is not configurable on a per project basis. Also, even if it was, it's a pain because the 
Ruby Gems dialog always opens onto the 'Updated' tab and won't respond until it has gotten all its information over the network which is slow. Once it has 
come back you are forced to 'Browse' to the new GEM_HOME location and can't just paste or type it in. All changes are lost once NB is closed. This is at least 
how things are for me in NetBeans IDE 6.1 (Build 200805300101). Maybe these are other issues that have been addressed already. 
Comment 3 Martin Krauskopf 2008-07-28 20:31:30 UTC
> it's a pain because the Ruby Gems dialog always opens onto the 'Updated' tab and won't respond
> until it has gotten all its information over the network which is slow.

This was fixed in 6.5, you might grab new build here:

  http://wiki.netbeans.org/RubyInstallation#section-RubyInstallation-HowDoIGetTheContinuousBuilds

Could you file issue you encounter in Gem Manager (and sure, anywhere else) in 6.5 to the IssueZilla separately? Thanks
for the feedback.
Comment 4 Erno Mononen 2008-08-11 13:56:52 UTC
Should be fixed in trunk now, changeset eaf56d193312. I changed the test runner to first check the existence script/
spec, next it will look for vendor/plugins/rspec/bin/spec and if still nothing found it'll use the spec binary from the 
target platform. Please reopen if this still doesn't solve the issue for you.
Comment 5 Quality Engineering 2008-08-12 04:12:33 UTC
Integrated into 'main-golden', available in build *200808120201* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/eaf56d193312
User: Erno Mononen <emononen@netbeans.org>
Log: #136483: contention between rspec plugins and rspec gem


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo